********************************************************************************
*                                                                              *
*                                Dirutily                                      *
*                                                                              *
********************************************************************************

********************************************************************************
*                                                                              *
* Special Notes:                                                               *
*                                                                              *
*  - Dirutily is support on the following operating systems:                   *
*      MS/PC DOS          (Dirutily package available from the PCTOOLS disk)   *
*      OS/2               (Dirutily package available from the OS2TOOLS disk)  *
*      4680 Store System  (Dirutily package available from BERRYPAU @ RALVM0)  *
*                                                                              *
*  - Please read the information supplied in this profile, if additional       *
*    information is needed, refer to the documentation.  The comments in       *
*    this profile give a brief description about the commands that can be      *
*    used in the profile.  Each command listed has a full description in       *
*    the documentation.  Please see the Dirutily "Special Features" section    *
*    in the documentation, it will make using Dirutily a lot easier!           *
*                                                                              *
*  - There is a quick start section in the documentation for users that don't  *
*    like to read documentation.                                               *
*                                                                              *
*  - The programs assigned to the keys below are only examples, they can       *
*    be obtained from PCTOOLS or OS2TOOLS.                                     *           *
*                                                                              *
*  - A blank or a * in column one is considered a comment, and the line        *
*    will be ignored.                                                          *
*                                                                              *
*  - To comment out something starting beyond column one, use ** in front      *
*    of the item.                                                              *
*                                                                              *
*  - All profile commands begin in column 1.                                   *
*                                                                              *
*  - The profile cannot contain TAB characters, if your editor saves files     *
*    with TAB characters, use the editor's notabs option when saving this      *
*    profile to disk.  You will get an error message if the profile contains   *
*    TAB characters when running the Dirucust utility.                         *
*                                                                              *
********************************************************************************

********************************************************************************
*                        Dirutily Internal Commands                            *
********************************************************************************
*                                                                              *
* To assign one of the following internal commands as a key definition, it     *
* must be the only option following the = sign on the key definition line,     *
* with the exception of the [NEW_PATH] internal command.                       *
*                                                                              *
* The square brackets must surround the command.                               *
*                                                                              *
*   Example: f1 = [TOGGLE_HELP]                                                *
*                                                                              *
* This assigns to the F1 key the toggle help screen command.                   *
*                                                                              *
*                                                                              *
*                       Internal Commands Available                            *
*                       ---------------------------                            *
*                                                                              *
* [ATTRIB_MENU] = changes file/directory attributes.                           *
* [COPY]        = copies files to path specified.                              *
* [DELETE]      = deletes files or complete sub-directory trees.               *
* [MARK_ALL]    = mark all the files in the list.                              *
* [MARK_MENU]   = mark options menu, to mark/unmark/remark files in the list.  *
* [MOVE]        = moves files to path specified.                               *
* [NEW_PATH]    = loads the path you specify.  (See the doc for path options)  *
* [OS_SHELL]    = escape to the operating system and allows you to return.     *
* [PRINT]       = prints files.                                                *
* [QUIT]        = quits Dirutily.                                              *
* [QUIT_IN_DIR] = quits Dirutily in the directory you're currently in.         *
* [REFRESH_DIR] = refreshes the file listing and screen.                       *
* [REMARK]      = re-marks any files that have been processed.                 *
* [RENAME]      = renames files/directories.                                   *
* [SORT_MENU]   = sort options menu to sort by name, extension, size or date.  *
* [SORT_NAME]   = sort the file list by name.                                  *
* [SORT_EXT]    = sort the file list by extension.                             *
* [SORT_SIZE]   = sort the file list by size.                                  *
* [SORT_DATE]   = sort the file list by date.                                  *
* [TOGGLE_HELP] = toggles between help screens.                                *
* [UNMARK_ALL]  = unmark all the files in the list.                            *
*                                                                              *
* NOTE: [QUIT_IN_DIR] is only supported under the PC/MS DOS operating system.  *
*                                                                              *
********************************************************************************

********************************************************************************
*                      File Name/Path Place Holder Options                     *
********************************************************************************
*                                                                              *
* The following options can be used to specify the current file name or path   *
* information when processing files:                                           *
*                                                                              *
* /n = the current file name only (no file extension or dot). e.g. FILENAME    *
* /e = the current file extension only (no file name or dot). e.g. EXT         *
* /  = the current drive and directory concatenated with the current file      *
*      name and extension (full path with fn.ext).  e.g. C:\TOOLS\FILENAME.EXT *
* /d = the current drive only.  e.g. C:                                        *
* /p = the current drive and directory only.  e.g. C:\TOOLS                    *
* /h = the corresponding Host/PC file extension from the file extension        *
*      conversion tables.  i.e. SCT would get converted to SCRIPT              *
*                                                                              *
*                                                                              *
*   Example 1: alt_x = /                                                       *
*                                                                              *
* If the current path was C:\WORK and the current file name was STARTUP.EXE    *
* the following line would be passed to the operating system to be executed    *
* when the ALT+X key is pressed:                                               *
*                                                                              *
*                        C:\WORK\STARTUP.EXE                                   *
*                                                                              *
*   Example 2: alt_x = /n                                                      *
*                                                                              *
* Given the same information above, the following line would be passed to the  *
* operating system to be executed when the ALT+X key is pressed:               *
*                                                                              *
*                              STARTUP                                         *
*                                                                              *
*                                                                              *
* NOTE: If you want to use one of the options listed above, and you do not     *
*       want the substation to take place, use // two slashes.  e.g.  //n      *
*                                                                              *
********************************************************************************

********************************************************************************
*                       Special Key Definition Options                         *
********************************************************************************
*                                                                              *
* The following options can be used to customize the way Dirutily handles      *
* programs being passed to the operating system to be executed.                *
*                                                                              *
* [RF] = ReFreshes the screen after the program you specified has completed.   *
*        This option replaces the "&" option in previous versions of Dirutily. *
*                                                                              *
* [PR] = After processing all the marked files with the program you specified, *
*        Dirutily will Pause and wait for you to press any key to Return back  *
*        to Dirutily.  This option replaces the "!" option in previous         *
*        versions of Dirutily.                                                 *
*                                                                              *
* [PA] = Dirutily will Pause After processing each marked file in the list     *
*        and wait for you to press any key to begin processing the next marked *
*        file.                                                                 *
*                                                                              *
* [PB] = Dirutily will Pause Before processing each marked file in the list    *
*        and wait for you to press any key to begin processing the file.  This *
*        allows you to see the command before it is executed.                  *
*                                                                              *
* [BO] = Adds a Binary Option (i.e. /B ) if the file extension is in the       *
*        binary extension table.  Used for host upload and download utilities. *
*        This option replaces the "%" option in previous versions of Dirutily. *
*                                                                              *
* [IM] = Allows you to Ignore Marked files and execute the program you         *
*        specified against the current file only.  This option replaces the    *
*        "@" option in previous versions of Dirutily.                          *
*                                                                              *
* [EA] = Allows you to Edit the command line on All the marked files in the    *
*        list before each file is passed to the operating system.  This        *
*        option replaces the "#" option in previous versions of Dirutily.      *
*                                                                              *
* [EO] = Allows you to Edit the command line only Once, the information on the *
*        command line will be executed against all the marked files in the     *
*        list.  This option replaces the "+" option in previous versions of    *
*        Dirutily.                                                             *
*                                                                              *
* To assign one or more of these options to a key definition, they must be     *
* specified BEFORE any other commands on the key definition line.  These       *
* options can be specified in any order you wish with NO blanks between them.  *
*                                                                              *
* Examples:                                                                    *
*                                                                              *
*   cntl_c = [RF][EO]                                                          *
*                                                                              *
*   The line above causes the command line to be displayed only once allowing  *
*   you to enter in the program you want to execute against all the marked     *
*   files.  The Dirutily screen will be refreshed when all the marked files    *
*   have been processed.                                                       *
*                                                                              *
*                                                                              *
*   enter = [IM][RF]  BROWSE /                                                 *
*                                                                              *
*   The line above ignores all the marked files in the list and executes the   *
*   BROWSE utility against the current file only (i.e. the file the bounce     *
*   bar is positioned on).  The Dirutily screen will be refreshed when you     *
*   exit out of the BROWSE utility.                                            *
*                                                                              *
*                                                                              *
*   alt_c = [RF][PR]  CHKDSK A:                                                *
*                                                                              *
*   The line above executes the CHKDSK utility on the A: drive and pauses      *
*   before returning to Dirutily allowing you to see the results the CHKDSK    *
*   utility printed on the screen.  The Dirutily screen will be refreshed      *
*   once you press any key to return.                                          *
*                                                                              *
*                                                                              *
*   cntl_c = [RF][PA]  CRC /                                                   *
*                                                                              *
*   The line above executes the CRC utility on each marked file in the list.   *
*   It pauses after it process each file allowing you to see the results       *
*   before continuing to the next file.  The Dirutily screen will be refreshed *
*   when all the marked files have been processed.                             *
*                                                                              *
*                                                                              *
*   cntl_i = [RF][PB][PA]  DSKIMAGE / A:                                       *
*                                                                              *
*   The line above executes the DSKIMAGE utility on each marked file in the    *
*   list.  It will display the command being sent to the operating system      *
*   and pause waiting for you to press any key to continue.  It will also      *
*   pause after it has finished processing the file allowing you to see the    *
*   results before continuing to the next file.  The Dirutily screen will be   *
*   refreshed when all the marked files have been processed.                   *
*                                                                              *
********************************************************************************


********************************************************************************
*                            Dirutily Help Boxes                               *
********************************************************************************
*                                                                              *
* NOTE: The "" lines indicate the width of the box and should not be altered. *
*       Any wording between the "" lines can be altered.  You are allowed     *
*       to have a maximum of 3 help boxes.  The maximum number of lines that   *
*       each help box can have is 33.  The number of screen rows your system   *
*       displays reflects the number of help box lines that get displayed per  *
*       help box.  For a normal 25 line screen, 15 help box lines will be      *
*       displayed.  The maximum is 33 help box lines for a 43 line screen.     *
*       If you use more lines in the help box than your system can display,    *
*       those help box lines will not be displayed.                            *
*                                                                              *
********************************************************************************

*** First Help Box ***

************ ͻ
help_box_1 =  F1 Copy  F2 Delete F3 Rename  
help_box_1 =  F4 Move  F11 Attri F12 Help   
help_box_1 =                                
help_box_1 =  Alt+A-E Change Drive A:-D:    
help_box_1 =  Alt+P Print    Alt+N New Path 
help_box_1 =                                
help_box_1 =  Ctrl+A   Disk Image Drive A:  
help_box_1 =  Ctrl+B   Disk Image Drive B:  
help_box_1 =  Ctrl+C   Copy Disk            
help_box_1 =  Ctrl+L   Laplink Menu         
help_box_1 =  Ctrl+M   Mark Options Menu    
help_box_1 =  Ctrl+S   Sort OPtions Menu    
help_box_1 =                                
help_box_1 =  Enter=Load/Browse  ESC=Quit   
help_box_1 =  Space=Mark/Unmark               ** last line for a 25x80 display
help_box_1 =  Keys: Insert Home PageUp        ** last line for a 26x80 display
help_box_1 =        Delete End  PageDwn       ** last line for a 27x80 display
help_box_1 =                                  ** last line for a 28x80 display
help_box_1 =                                  ** last line for a 29x80 display
help_box_1 =                                  ** last line for a 30x80 display
help_box_1 =                                  ** last line for a 31x80 display
help_box_1 =                                  ** last line for a 32x80 display
help_box_1 =                                  ** last line for a 33x80 display
help_box_1 =                                  ** last line for a 34x80 display
help_box_1 =                                  ** last line for a 35x80 display
help_box_1 =                                  ** last line for a 36x80 display
help_box_1 =                                  ** last line for a 37x80 display
help_box_1 =                                  ** last line for a 38x80 display
help_box_1 =                                  ** last line for a 39x80 display
help_box_1 =                                  ** last line for a 40x80 display
help_box_1 =                                  ** last line for a 41x80 display
help_box_1 =                                  ** last line for a 42x80 display
help_box_1 =                                  ** last line for a 43x80 display
************ ͼ


*** Second Help Box ***

************ ͻ
help_box_2 =  Alt+L                         
help_box_2 =  Alt+O   Shell To Op Sys       
help_box_2 =  Alt+Q   Quit In Current Dir   
help_box_2 =  Alt+X   Execute File          
help_box_2 =  Alt+A   Load A:\*.*           
help_box_2 =  Alt+B   Load B:\*.*           
help_box_2 =  Alt+C   Load C:\*.*           
help_box_2 =  Alt+D   Load D:\*.*           
help_box_2 =  Alt+T   Tiny Editor           
help_box_2 =  Alt+U   Upload File No Edit   
help_box_2 =  Ctrl+D  Download File No Edit 
help_box_2 =  Ctrl+U  Upload File Edit All  
help_box_2 =  Ctrl+P  Load Parent Directory 
help_box_2 =  Ctrl+X  XCopy Directory Tree  
help_box_2 =                                  ** last line for a 25x80 display
help_box_2 =                                  ** last line for a 26x80 display
help_box_2 =                                  ** last line for a 27x80 display
help_box_2 =                                  ** last line for a 28x80 display
help_box_2 =                                  ** last line for a 29x80 display
help_box_2 =                                  ** last line for a 30x80 display
help_box_2 =                                  ** last line for a 31x80 display
help_box_2 =                                  ** last line for a 32x80 display
help_box_2 =                                  ** last line for a 33x80 display
help_box_2 =                                  ** last line for a 34x80 display
help_box_2 =                                  ** last line for a 35x80 display
help_box_2 =                                  ** last line for a 36x80 display
help_box_2 =                                  ** last line for a 37x80 display
help_box_2 =                                  ** last line for a 38x80 display
help_box_2 =                                  ** last line for a 39x80 display
help_box_2 =                                  ** last line for a 40x80 display
help_box_2 =                                  ** last line for a 41x80 display
help_box_2 =                                  ** last line for a 42x80 display
help_box_2 =                                  ** last line for a 43x80 display
************ ͼ

*** Third Help Box ***

************ ͻ
help_box_3 =  Alt+F1 Cable   Alt+F2 Loadram 
help_box_3 =  Alt+F3 Gsee    Alt+F4 Saveram 
help_box_3 =  Alt+F5 Crc     Alt+F6 Pkunzip 
help_box_3 =  Alt+F7 ZIPeach Alt+F8 ZIP in 1
help_box_3 =  F6 PSFX Menu                  
help_box_3 =  F7 Print 8 to 1               
help_box_3 =  F8 Print 4 to 1 ring BINDER   
help_box_3 =  F9 Print 4 to 1 BOOKLET       
help_box_3 =  Ctrl+F1 Cmd Line Pause After  
help_box_3 =  Ctrl+F2 Cmd Line Pause Before 
help_box_3 =  Ctrl+F3 Cmd Line Pause Return 
help_box_3 =  Ctrl+F4 Cmd Line Pause B & A  
help_box_3 =  Ctrl+F5 Upload File Edit Once 
help_box_3 =                                
help_box_3 =                                  ** last line for a 25x80 display
help_box_3 =                                  ** last line for a 26x80 display
help_box_3 =                                  ** last line for a 27x80 display
help_box_3 =                                  ** last line for a 28x80 display
help_box_3 =                                  ** last line for a 29x80 display
help_box_3 =                                  ** last line for a 30x80 display
help_box_3 =                                  ** last line for a 31x80 display
help_box_3 =                                  ** last line for a 32x80 display
help_box_3 =                                  ** last line for a 33x80 display
help_box_3 =                                  ** last line for a 34x80 display
help_box_3 =                                  ** last line for a 35x80 display
help_box_3 =                                  ** last line for a 36x80 display
help_box_3 =                                  ** last line for a 37x80 display
help_box_3 =                                  ** last line for a 38x80 display
help_box_3 =                                  ** last line for a 39x80 display
help_box_3 =                                  ** last line for a 40x80 display
help_box_3 =                                  ** last line for a 41x80 display
help_box_3 =                                  ** last line for a 42x80 display
help_box_3 =                                  ** last line for a 43x80 display
************ ͼ

********************************************************************************
*                          Dirutily Definable Keys                             *
********************************************************************************
*                                                                              *
* To define one of the following keys, the definition must follow the = sign.  *
* Except for some of the internal commands like [COPY], you can specify        *
* anything after the = sign you wish, that includes options listed above       *
* plus your own options.                                                       *
*                                                                              *
* Note: Total number of characters following the equal sign cannot exceed 80.  *
*                                                                              *
********************************************************************************

enter    = [RF][IM] C:\dirutily\READ /
esc      = [QUIT]

f1       = [COPY]
f2       = [DELETE]
f3       = [RENAME]
f4       = [MOVE]
f5       = [EO][RF]
f6       = [RF] C:\PSFX\PSFXMENU
f7       = [RF][IM] C:\P4PS / //OUTPUT:LPT3 //N:4 //BORDER //F:BOTH
f8       = [RF][IM] C:\P4PS / //OUTPUT:LPT3 //N:2 //BORDER //F:BOTH
f9       = [RF][IM] C:\P4PS / //OUTPUT:LPT3 //BOOKLET:DROP //F:BOTH
f10      =
f11      = [ATTRIB_MENU]
f12      = [TOGGLE_HELP]

alt_f1   = [RF] CABLE /
alt_f2   = [RF][PR] LOADRAM /
alt_f3   = [RF][PA] GSEE *:/n./e
alt_f4   = [RF][PR][IM][EO] SAVERAM *.*       .FLS
alt_f5   = [RF][PA] CRC /
alt_f6   = [RF][PA][EO] C:\PKUNZIP /
alt_f7   = [RF][PR][EO] C:\PKZIP -u /p\/n.zip /
alt_f8   = [RF][PR][EO] C:\PKZIP -u /p\save.zip /
alt_f9   =
alt_f10  =
alt_f11  =
alt_f12  =

cntl_f1  = [EO][PA][RF]
cntl_f2  = [EO][PB][RF]
cntl_f3  = [EO][PR][RF]
cntl_f4  = [EO][PB][PA][RF]
cntl_f5  = [BO][EO] ALMCOPY / H:/n /h A1 //Q //CK
cntl_f6  =
cntl_f7  =
cntl_f8  =
cntl_f9  =
cntl_f10 =
cntl_f11 =
cntl_f12 =

alt_a    = [NEW_PATH] A:\*.*
alt_b    = [NEW_PATH] B:\*.*
alt_c    = [NEW_PATH] C:\*.*
alt_d    = [NEW_PATH] D:\*.*
alt_e    = [NEW_PATH] E:\*.*
alt_f    =
alt_g    =
alt_h    =
alt_i    =
alt_j    =
alt_k    =
alt_l    =
alt_m    =
alt_n    = [NEW_PATH]
alt_o    = [OS_SHELL]
alt_p    = [PRINT]
alt_q    = [QUIT_IN_DIR]
alt_r    = [REFRESH_DIR]
alt_s    =
alt_t    = [RF] C:\dirutily\T /
alt_u    = [BO] ALMCOPY / H:/n /h A1 //Q //CK
alt_v    =
alt_w    =
alt_x    = [EA][IM][RF] /
alt_y    =
alt_z    =

cntl_a   = [EO] C:\DIRUTILY\DXP.EXE A: File Name
cntl_b   = [EO] C:\DIRUTILY\DXP.EXE B: File Name
cntl_c   = [RF] C:\Dirutily\DCF.EXE
cntl_d   = [BO] ALMCOPY H:/n /h A1 / //Q //CK
cntl_e   =
cntl_f   =
cntl_g   =
cntl_h   =
cntl_i   =
cntl_j   =
cntl_k   =
cntl_l   = [RF] C:\DIRUTILY\LE /
cntl_m   = [MARK_MENU]
cntl_n   =
cntl_o   =
cntl_p   = [NEW_PATH] ..
cntl_q   =
cntl_r   =
cntl_s   = [SORT_MENU]
cntl_t   =
cntl_u   = [BO][EA] ALMCOPY / H:/n /h A1 //Q //CK
cntl_v   =
cntl_w   =
cntl_x   = [RF][PR][IM][EO] XCOPY /\*.*         //S
cntl_y   =
cntl_z   =


********************************************************************************
*                          Dirutily Color Selections                           *
********************************************************************************
*                                                                              *
*                Foreground Color                         Background Color     *
*      -------------------------------------              ----------------     *
*      0 = Black           8 = Dark Grey                    0 = Black          *
*      1 = Blue            9 = Light Blue                   1 = Blue           *
*      2 = Green           A = Light Green                  2 = Green          *
*      3 = Cyan            B = Light Cyan                   3 = Cyan           *
*      4 = Red             C = Light Red                    4 = Red            *
*      5 = Magenta         D = Light Magenta                5 = Magenta        *
*      6 = Brown           E = Yellow                       6 = Brown          *
*      7 = White           F = Bright White                 7 = White          *
*                                                                              *
*                                                                              *
*   Example: F1                                                                *
*                                                                            *
*             Background (Blue)                                            *
*             Foreground (Bright White)                                    *
*                                                                              *
********************************************************************************

*** The following colors look good on a color display ***

color_help_box        = 71             ** bright white  on  blue
color_input_fields    = F5             ** bright white  on  cyan
color_filelist        = B0             ** light cyan    on  black
color_bounce_bar      = E4             ** bright white  on  red
color_info_fields     = E0             ** yellow        on  black
color_prompt_fields   = A0             ** light green   on  black
color_background      = 00             ** black         on  black


*** The following colors look good on a non color display ***

* color_help_box       = 07             ** black         on  white
* color_input_fields   = 07             ** black         on  white
* color_filelist       = 70             ** white         on  black
* color_bounce_bar     = 07             ** black         on  white
* color_info_fields    = F0             ** bright white  on  black
* color_prompt_fields  = 70             ** white         on  black
* color_background     = 00             ** black         on  black


********************************************************************************
*                           Dirutily Special Options                           *
********************************************************************************

default_sort         = 2  ** 0=no  1=name  2=ext  3=size  4=date (sorting order)
dir_positions        = 2  ** 0=no  1=mix   2=top  3=bottom     (<DIR> positions)
safe_copy_move       = y  ** Y=yes N=no                (file overlay protection)
time_format          = 1  ** 1=(12 hour clock)   2=(24 hour clock)
date_format          = 1  ** 1=MM/DD/YY  2=DD/MM/YY  3=YY/MM/DD  4=DD.MM.YY
display_volid        = y  ** Y=yes N=no              (display disk volume label)
display_hidden_files = y  ** Y=yes N=no              (display hidden files/dirs)
beep_when_done       = y  ** Y=yes N=no        (beep when marked files are done)
cga_snow_removal     = n  ** Y=yes N=no            (remove snow on CGA displays)
enhanced_keyboard    = y  ** Y=yes N=no   (enhanced/standard keyboard installed)


********************************************************************************
*                    Dirutily File Extension Look-Up Tables                    *
********************************************************************************
*                                                                              *
* The following tables are used by Dirutily to pass information to a 3270 host *
* emulation upload/download utility (i.e. Mytecopy, Almcopy, Send, Receive).   *
*                                                                              *
* Note: Total number of characters following the equal sign cannot exceed 80   *
*       for the "binary_extensions" table.                                     *
*                                                                              *
*       Total number of characters following the equal sign cannot exceed 150  *
*       for the "pc_ext_table" and the "host_ext_table".                       *
*                                                                              *
********************************************************************************
                                     ** binary file extension look-up table
binary_extensions  = EXE FLS COM ARC RAM DAT SYS 286 P86 L86 BSX ZIP DLL IMG OBJ ICO

                                     ** PC/Host file extension conversion tables
pc_ext_table       = EXC  XED   PKG     NOT  EXE    COM    SCT    FLS    RAM    DAT    SYS    NEW  DLL    ZIP    OBJ    ICO
host_ext_table     = EXEC XEDIT PACKAGE NOTE EXEBIN COMBIN SCRIPT FLSBIN RAMBIN DATBIN SYSBIN NEWS DLLBIN ZIPBIN OBJBIN ICOBIN


